Description

The Debian package, when installed from apt as documented in the Getting Started guide, does not install rubygems together with it.

However the installer requires "rubygems", so the installation fails immediately:

/usr/share/foreman-installer/generate_answers.rb:3:in `require': no such file to load -- rubygems 

(LoadError)

History

#1 - 02/12/2013 12:18 PM - Greg Sutcliffe

The Debian highline package installs the code to the ruby system library path, therefore rubygems is not needed. We should wrap the require in a

rescue block...

#2 - 02/13/2013 03:26 AM - Alessandro Grassi

If rubygems is not needed, couldn't the line be removed straight away?

#3 - 02/13/2013 08:47 AM - Greg Sutcliffe

Thinking about it some more... it's likely to be needed for other distros, and maintaining patches in the packaging source is a pain. As you also need

rubygems to install Foreman, we may as well depend on it.

#4 - 05/10/2013 09:33 AM - Dominic Cleal

- Status changed from New to Closed

- Target version set to 1.2.0

- % Done changed from 0 to 100

Fixed in 1.2 (or maybe the recent 1.1 rebuilds), thanks for the report!

https://github.com/theforeman/foreman-rpms/commit/7e8a68d9

#5 - 07/10/2018 02:44 PM - Greg Sutcliffe

- Target version deleted (1.2.0)
